Bug 221749 - emulators/qemu: fix package when no DOCS selected
Summary: emulators/qemu: fix package when no DOCS selected
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-23 20:03 UTC by Steven Hartland
Modified: 2017-10-06 18:56 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
Fixed no DOCS and GTK2 dependencies (1.80 KB, patch)
2017-08-23 20:03 UTC, Steven Hartland
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Hartland freebsd_committer 2017-08-23 20:03:57 UTC
Created attachment 185700 [details]
Fixed no DOCS and GTK2 dependencies

When qemu is configured without DOCS it fails to build due to missing man pages.

/usr/bin/install -c -c -m 0644 docs/qemu-qmp-ref.7 "/wrkdirs/usr/ports/emulators/qemu/work/stage/usr/local/man/man7"
install: docs/qemu-qmp-ref.7: No such file or directory
gmake[1]: *** [Makefile:576: install-doc] Error 71
gmake[1]: Leaving directory '/wrkdirs/usr/ports/emulators/qemu/work/qemu-2.9.0'

In addition ports qa reports that a GTK2 build lacks dependencies, both are fixed by the attached patch.

Error: /usr/local/bin/qemu-system-aarch64 is linked to /usr/local/lib/libgdk_pixbuf-2.0.so.0 from graphics/gdk-pixbuf2 but it is not declared as a dependency
Warning: you need USE_GNOME+=gdkpixbuf2
Error: /usr/local/bin/qemu-system-aarch64 is linked to /usr/local/lib/libX11.so.6 from x11/libX11 but it is not declared as a dependency
Warning: you need USE_XORG+=x11
Error: /usr/local/bin/qemu-system-aarch64 is linked to /usr/local/lib/libXext.so.6 from x11/libXext but it is not declared as a dependency
Warning: you need USE_XORG+=xext
Comment 1 Roman Bogorodskiy freebsd_committer 2017-09-09 15:26:41 UTC
Thanks for the patch, it fixed installation for me without DOCS enabled.

Any plans to commit this? 2 weeks have passed already, and this looks like a good fix to have.
Comment 2 Muhammad Moinur Rahman freebsd_committer 2017-09-18 18:29:19 UTC
Sorry was AFK. Working 2.10
Comment 3 Tobias Kortkamp freebsd_committer 2017-10-06 15:44:13 UTC
(In reply to Muhammad Moinur Rahman from comment #2)
The fix works for me too and it's three weeks later again. :)

Can we land this fix?  I don't see why we have to wait for 2.10 to fix this.
I'm itching to commit it with maintainer timeout but I also don't want to step
on anyone's toes here and make the update harder.
Comment 4 Muhammad Moinur Rahman freebsd_committer 2017-10-06 18:04:48 UTC
(In reply to Tobias Kortkamp from comment #3)
Hi Tobias,
Am sort of AFK. And itchy hands are not good for other commits. So please commit and get rid of your itchy hands.
Comment 5 commit-hook freebsd_committer 2017-10-06 18:53:08 UTC
A commit references this bug:

Author: tobik
Date: Fri Oct  6 18:53:01 UTC 2017
New revision: 451399
URL: https://svnweb.freebsd.org/changeset/ports/451399

Log:
  emulators/qemu: Fix build without DOCS

  - While here also add missing X11 dependencies to the GTK2 option

  /usr/bin/install -c -c -m 0644 docs/qemu-qmp-ref.7 "/wrkdirs/usr/ports/emulators/qemu/work/stage/usr/local/man/man7"
  install: docs/qemu-qmp-ref.7: No such file or directory
  gmake[1]: *** [Makefile:576: install-doc] Error 71
  gmake[1]: Leaving directory '/wrkdirs/usr/ports/emulators/qemu/work/qemu-2.9.0'

  PR:		221749
  Submitted by:	smh
  Reviewed by:	novel
  Approved by:	bofh
  MFH:		2017Q4

Changes:
  head/emulators/qemu/Makefile
  head/emulators/qemu/files/patch-Makefile
Comment 6 commit-hook freebsd_committer 2017-10-06 18:55:12 UTC
A commit references this bug:

Author: tobik
Date: Fri Oct  6 18:54:54 UTC 2017
New revision: 451400
URL: https://svnweb.freebsd.org/changeset/ports/451400

Log:
  MFH: r451399

  emulators/qemu: Fix build without DOCS

  - While here also add missing X11 dependencies to the GTK2 option

  /usr/bin/install -c -c -m 0644 docs/qemu-qmp-ref.7 "/wrkdirs/usr/ports/emulators/qemu/work/stage/usr/local/man/man7"
  install: docs/qemu-qmp-ref.7: No such file or directory
  gmake[1]: *** [Makefile:576: install-doc] Error 71
  gmake[1]: Leaving directory '/wrkdirs/usr/ports/emulators/qemu/work/qemu-2.9.0'

  PR:		221749
  Submitted by:	smh
  Reviewed by:	novel
  Approved by:	bofh

  Approved by:	ports-secteam blanket

Changes:
_U  branches/2017Q4/
  branches/2017Q4/emulators/qemu/Makefile
  branches/2017Q4/emulators/qemu/files/patch-Makefile
Comment 7 Tobias Kortkamp freebsd_committer 2017-10-06 18:56:31 UTC
(In reply to Muhammad Moinur Rahman from comment #4)
Committed. Thank you!